package com.lm.lib.config;

//import com.alibaba.druid.pool.DruidDataSource;
//import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
//import com.alibaba.druid.support.http.StatViewServlet;
//import com.alibaba.druid.support.http.WebStatFilter;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.sql.DataSource;

@Configuration
//@EnableTransactionManagement
public class DataSourceConfig {


    @Primary//注意这里要加此注解以免依赖冲突
    @Bean(name = "iotpDataSource")
    @Qualifier("iotpDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.iotp")
    public DataSource iotpDataSource() {
        return DataSourceBuilder.create().build();
    }

    @Bean(name = "qxcasDataSource")
    @Qualifier("qxcasDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.qxcas")
    public DataSource qxcasDataSource() {
        return DataSourceBuilder.create().build();
    }


    @Bean(name = "moyuDataSource")
    @Qualifier("moyuDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.moyu")
    public DataSource moyuDataSource() {
        return DataSourceBuilder.create().build();
    }

    @Bean(name = "ossDataSource")
    @Qualifier("ossDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.oss")
    public DataSource ossDataSource() {
        return DataSourceBuilder.create().build();
    }

    @Bean(name = "safeDataSource")
    @Qualifier("safeDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.safety")
    public DataSource safeDataSource() {
        return DataSourceBuilder.create().build();
    }


    @Primary
    @Bean(name = "iotpJdbcTemplate")
    public JdbcTemplate iotpJdbcTemplate(
            @Qualifier("iotpDataSource") DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }

    @Bean(name = "qxcasJdbcTemplate")
    public JdbcTemplate qxcasJdbcTemplate(
            @Qualifier("qxcasDataSource") DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }

    @Bean(name = "moyuJdbcTemplate")
    public JdbcTemplate moyuJdbcTemplate(
            @Qualifier("moyuDataSource") DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }

    @Bean(name = "ossJdbcTemplate")
    public JdbcTemplate ossJdbcTemplate(
            @Qualifier("ossDataSource") DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }

    @Bean(name = "safeJdbcTemplate")
    public JdbcTemplate safeJdbcTemplate(
            @Qualifier("safeDataSource") DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }
}
