package com.lm.lib.param;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.lm.lib.dto.AlarmMapDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "报警信息滚动")
public class RspAlarmInfo {
    @ApiModelProperty(
            value = "接口返回状态码，200为正常，500为异常",
            name = "code",
            dataType = "java.lang.Integer",
            example = "200",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
            value = "提示信息",
            name = "message",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected String message;

    @ApiModelProperty(
            value = "报警列表",
            name = "alarmList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<AlarmMapDto> alarmList = new ArrayList<>();

    @ApiModelProperty(
            value = "用户名称",
            name = "userName",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String userName;

    @ApiModelProperty(
            value = "用户电话",
            name = "userPhone",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String userPhone;

    @ApiModelProperty(
            value = "电池站点",
            name = "store",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String store;

    @ApiModelProperty(
            value = "电池加盟商",
            name = "franchisee",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String franchisee;

}

