package com.lm.lib.param;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "基础信息返回")
public class RspBaseInfo {
    @ApiModelProperty(
            value = "接口返回状态码，200为正常，500为异常",
            name = "code",
            dataType = "java.lang.Integer",
            example = "200",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
            value = "提示信息",
            name = "message",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected String message;

    @ApiModelProperty(
            value = "时间列表",
            name = "timeList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<String> timeList;
    @ApiModelProperty(
            value = "最高电压列表",
            name = "voltageMaxList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> voltageMaxList;
    @ApiModelProperty(
            value = "最低电压列表",
            name = "voltageMinList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> voltageMinList;
    @ApiModelProperty(
            value = "最高温度列表",
            name = "tempMaxList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> tempMaxList;
    @ApiModelProperty(
            value = "最低温度列表",
            name = "tempMinList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> tempMinList;
    @ApiModelProperty(
            value = "电流列表",
            name = "currentList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> currentList;
    @ApiModelProperty(
            value = "soc列表",
            name = "socList",
            dataType = "java.lang.List",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    List<Double> socList;
}
