package com.lm.lib.param;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "返回说明")
public class RspDto {
    @ApiModelProperty(
            value = "接口返回状态码，200为正常，500为异常",
            name = "code",
            dataType = "java.lang.Integer",
            example = "200",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
            value = "提示信息",
            name = "message",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected String message;
    @ApiModelProperty(
            value = "业务数据",
            name = "data",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected Object data;
}
