package com.lm.lib.param;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "健康监控信息返回")
public class RspHealthInfo {
    @ApiModelProperty(
            value = "接口返回状态码，200为正常，500为异常",
            name = "code",
            dataType = "java.lang.Integer",
            example = "200",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
            value = "提示信息",
            name = "message",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected String message;

    @ApiModelProperty(
            value = "soh",
            name = "soh",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String soh;
    @ApiModelProperty(
            value = "一致性",
            name = "consistency",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String consistency;
    @ApiModelProperty(
            value = "累计能量",
            name = "accumEnergy",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String accumEnergy;
    @ApiModelProperty(
            value = "累计循环次数",
            name = "accumCycle",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String accumCycle;
}
