package com.lm.lib.param;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "实时信息返回")
public class RspRealTimeInfo {
    @ApiModelProperty(
            value = "接口返回状态码，200为正常，500为异常",
            name = "code",
            dataType = "java.lang.Integer",
            example = "200",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
            value = "提示信息",
            name = "message",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    @JsonInclude(JsonInclude.Include.NON_NULL)
    protected String message;

    @ApiModelProperty(
            value = "经度",
            name = "longitude",
            dataType = "java.lang.Double",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    Double longitude;
    @ApiModelProperty(
            value = "纬度",
            name = "latitude",
            dataType = "java.lang.Double",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    Double latitude;
    @ApiModelProperty(
            value = "评分",
            name = "score",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String score;
    @ApiModelProperty(
            value = "soc",
            name = "soc",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String soc;
    @ApiModelProperty(
            value = "最高电压",
            name = "maxVolt",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String maxVolt;
    @ApiModelProperty(
            value = "最低电压",
            name = "minVolt",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String minVolt;
    @ApiModelProperty(
            value = "电流",
            name = "current",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String current;
    @ApiModelProperty(
            value = "状态",
            name = "status",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String status;
    @ApiModelProperty(
            value = "最高温度",
            name = "maxTemp",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String maxTemp;
    @ApiModelProperty(
            value = "最低温度",
            name = "minTemp",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String minTemp;
    @ApiModelProperty(
            value = "故障等级",
            name = "faultLevel",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String faultLevel;

    @ApiModelProperty(
            value = "接插件温度",
            name = "connectorTemp",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String connectorTemp;

    @ApiModelProperty(
            value = "时间",
            name = "connectorTemp",
            dataType = "java.lang.String",
            accessMode = ApiModelProperty.AccessMode.READ_ONLY
    )
    String statusTime;
}
