import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
	state: {
		userLoginBean: false,
		menuMap: {},
		menuSelected: '',
	},
	mutations: {
		userLoginBean(state, value) {
			state.userLoginBean = value
		},
		menuMap(state, value) {
			state.menuMap = value
		},
		menuSelected(state, value) {
			state.menuSelected = value
		},
	},
	actions: {
		userLoginBean(context, value) {
			context.commit('userLoginBean', value)

			// 计算 menuMap
			let map = {}
			let trace = function(list) {
				list.forEach(m => {
					if(m.routeName) map[m.routeName] = m;
					if(m.subList) trace(m.subList);
				});
			}
			if(value && value.menuTree) trace(value.menuTree);
			context.commit('menuMap', map);
		},
		menuSelected(context, value) {
			context.commit('menuSelected', value)
		},
	},
	modules: {
	}
})
